- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QTextDocumentWriter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qtextdocumentwriter.h.

`#include <qtextdocumentwriter.h>`

List of all members.

## Public Member Functions
| QTextDocumentWriter ()
| QTextDocumentWriter (QIODevice *device, const QByteArray &format)
| QTextDocumentWriter (const QString &fileName, const QByteArray &format=QByteArray())
| ~QTextDocumentWriter ()
void | setFormat (const QByteArray &format)
QByteArray | format () const
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setFileName (const QString &fileName)
QString | fileName () const
bool | write (const QTextDocument *document)
bool | write (const QTextDocumentFragment &fragment)
void | setCodec (QTextCodec *codec)
QTextCodec * | codec () const
## Static Public Member Functions
static QList< QByteArray > | supportedDocumentFormats ()

## Constructor & Destructor Documentation

QTextDocumentWriter | ( |  | ) |

QTextDocumentWriter | ( | QIODevice * | device,
|  | const QByteArray & | format
| ) |  |

QTextDocumentWriter | ( | const QString & | fileName,
|  | const QByteArray & | format = `QByteArray()`
| ) |  |

~QTextDocumentWriter | ( |  | ) |

## Member Function Documentation

void setFormat | ( | const QByteArray & | format | ) |

Search for all occurrences

QByteArray format | ( |  | ) | const

Search for all occurrences

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setFileName | ( | const QString & | fileName | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

bool write | ( | const QTextDocument * | document | ) |

Search for all occurrences

bool write | ( | const QTextDocumentFragment & | fragment | ) |

Search for all occurrences

void setCodec | ( | QTextCodec * | codec | ) |

Search for all occurrences

QTextCodec* codec | ( |  | ) | const

Search for all occurrences

static QList<QByteArray> supportedDocumentFormats | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qtextdocumentwriter.h

QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter
QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter QTextDocumentWriter